
QGIS Application - Bug report #20494

v. 3.4.1 Crash on Page Setup in the Layour

2018-11-15 01:48 AM - Nick Oppen

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.1 Regression?: No

Operating System: win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28314

Description

User Feedback

I had started a new layout that was empty. I set the Page Setup to be Portrait and pressed OK. The page on the screen did not change to

portrait mode. I went back to Page Setup and reset the Orientation to Landscape and that's when the crash happened.

Report Details

Crash ID: 00b0ba9d79bb374a623899f76a23849232769507

Stack Trace

PrintDlgW :

CallWindowProcW :

CallWindowProcW :

IsWindowVisible :

KiUserCallbackDispatcher :

NtUserDispatchMessage :

DispatchMessageW :

CoWaitForMultipleHandles :

CoWaitForMultipleHandles :

CoWaitForMultipleHandles :

CoGetObjectContext :

NdrExtStubInitialize :

CoWaitForMultipleHandles :

NdrExtStubInitialize :

Ordinal69 :

NdrMesSimpleTypeEncodeAll :

CoGetApartmentType :

ObjectStublessClient32 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SNMP_CompleteQuery :

SNMP_CompleteQuery :

SNMP_AutoUpdate_XML_Share :

DllGetClassObject :

DllGetClassObject :

DllGetClassObject :

DllGetClassObject :

DllGetClassObject :

DrvDeviceCapabilities :
Ordinal218 :

DeviceCapabilitiesW :

PrintDlgW :

PrintDlgW :

PrintDlgW :

GetWindowRgnBox :

Ordinal2573 :

Ordinal2573 :

CallWindowProcW :

SendMessageW :

SendMessageW :

LoadCursorFromFileW :

MITSetLastInputRecipient :

EmptyClipboard :

CallWindowProcW :

DispatchMessageW :

IsDialogMessageW :

DialogBoxIndirectParamAorW :

DialogBoxIndirectParamAorW :

DialogBoxIndirectParamAorW :

PageSetupDlgW :

PrintDlgW :

PageSetupDlgW :

PageSetupDlgW :

QPageSetupDialog::exec :

QgisAppInterface::actionCheckQgisVersion :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2
System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-11-15 01:50 AM - Nick Oppen

Page Setup in LAYOUT (not layour)

#2 - 2018-11-15 04:44 PM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from Unknown to Map Composer/Printing

Try with a clean/new profile

#3 - 2018-11-15 04:44 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2019-02-24 12:53 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
